umbrello: AutoLayoutOptionPage Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Slots | List of all members
AutoLayoutOptionPage Class Reference

`#include <autolayoutoptionpage.h>`

Inheritance diagram for AutoLayoutOptionPage:

## Signals
void | applyClicked ()

## Public Member Functions
| AutoLayoutOptionPage (QWidget *parent=0)
virtual | ~AutoLayoutOptionPage ()
void | setDefaults ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Slots
void | slotAutoDotPathCBClicked (bool value)

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

A dialog page to display auto layouts options

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ AutoLayoutOptionPage()

AutoLayoutOptionPage::AutoLayoutOptionPage | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor.general

Parameters

  parent | the parent (wizard) of this wizard page

## ◆ ~AutoLayoutOptionPage()

AutoLayoutOptionPage::~AutoLayoutOptionPage | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ apply()

void AutoLayoutOptionPage::apply | ( |  | ) |

Reads the set values from their corresponding widgets, writes them back to the data structure, and notifies clients.

## ◆ applyClicked

void AutoLayoutOptionPage::applyClicked | ( |  | ) |
| signal

## ◆ setDefaults()

void AutoLayoutOptionPage::setDefaults | ( |  | ) |

sets default values

## ◆ slotAutoDotPathCBClicked

void AutoLayoutOptionPage::slotAutoDotPathCBClicked | ( | bool | value | ) |
| protectedslot

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/autolayoutoptionpage.h
- umbrello/dialogs/pages/autolayoutoptionpage.cpp